class_uses
iterator_count
SPL Functions
PHP Manual

# iterator_apply

Call a function for every element in an iterator

### Description

int iterator_apply ( Traversable `$iterator` , callable `$function` [, array `$args` ] )

Calls a function for every element in an iterator.

### Parameters

`iterator`

  The class to iterate over.

`function`

  The callback function to call on every element.

  > Note: The function must return `TRUE` in order to continue iterating over the `iterator`.

`args`

  Arguments to pass to the callback function.

### Return Values

Returns the iteration count.

### Examples

Example #1 iterator_apply example

`<?php
function print_caps(Iterator $iterator) {
echo strtoupper($iterator->current()) . "\n";
return TRUE;
}
$it = new ArrayIterator(array("Apples", "Bananas", "Cherries"));
iterator_apply($it, "print_caps", array($it));
?>`

The above example will output:

    APPLES
    BANANAS
    CHERRIES

### See Also

- array_walk